Get Live Streamings
curl --request GET \
--url https://api.thefaithapp.com/v1/streamings \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://api.thefaithapp.com/v1/streamings"
headers = {
"X-API-Key": "<x-api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<x-api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/streamings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"video_streaming": {},
"audio_streaming": {},
"video_streaming.live_stream_url": "<string>",
"audio_streaming.stream_url": "<string>"
}Content
Get Live Streamings
GET
/
v1
/
streamings
Get Live Streamings
Retrieves the current live video and audio streaming information for the authenticated user’s church.
- Requires both an API key and a TheFaithApp member bearer token.
Request inputs
Your client API key from the dashboard (Settings page).
Response fields
The church’s current live or scheduled video streaming configuration, when one exists.
The church’s current live or scheduled audio streaming configuration, when one exists.
The direct video stream URL the client should open for live playback.
The direct audio stream URL the client should open for live playback.
Example response
{
"video_streaming": {
"id": 10,
"live_title": "Live Sunday Service",
"source": 2,
"thumbnail": "https://cdn.example.com/streaming/live-service.jpg",
"live_stream_url": "https://stream.example.com/live-service.m3u8",
"live_status": 0,
"client_id": 12
},
"audio_streaming": {
"id": 6,
"title": "Audio Stream",
"stream_url": "https://stream.example.com/audio-service",
"type": 0,
"status": 0,
"thumbnail": "https://cdn.example.com/streaming/audio-service.jpg",
"client_id": 12
}
}
Was this page helpful?
⌘I